Package org.opensaml.soap.wstrust.impl

# Class ForwardableImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.soap.wstrust.impl.AbstractWSTrustObject
org.opensaml.soap.wstrust.impl.ForwardableImpl

All Implemented Interfaces:
  `XSBoolean`, `XMLObject`, `Forwardable`, `WSTrustObject`

public class ForwardableImpl extends AbstractWSTrustObject implements Forwardable
ForwardableImpl.

## Field Summary

Fields
Modifier and Type
Field
Description
`private static final Boolean`
`DEFAULT_VALUE`
Default value.
`private XSBooleanValue`
`value`
The wst:Forwardable content.

### Fields inherited from interface org.opensaml.soap.wstrust.Forwardable

`ELEMENT_LOCAL_NAME, ELEMENT_NAME`

### Fields inherited from interface org.opensaml.core.xml.schema.XSBoolean

`TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Constructor
Description
`ForwardableImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`XSBooleanValue`
`getValue()`
Returns the XSBooleanValue value.
`void`
`setValue(XSBooleanValue newValue)`
Sets the XSBooleanValue value.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_VALUE

@Nonnull private static final Boolean DEFAULT_VALUE
Default value.

### value

@Nullable private XSBooleanValue value
The wst:Forwardable content.

## Constructor Details

### ForwardableImpl

public ForwardableImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor. Default value is `TRUE`.

Parameters:
  `namespaceURI` - The namespace of the element
  `elementLocalName` - The local name of the element
  `namespacePrefix` - The namespace prefix of the element

## Method Details

### getValue

@Nullable public XSBooleanValue getValue()
Returns the XSBooleanValue value.

Specified by:
  `getValue` in interface `XSBoolean`
Returns:
  the `XSBooleanValue` value

### setValue

public void setValue(@Nullable XSBooleanValue newValue)
Sets the XSBooleanValue value.

Specified by:
  `setValue` in interface `XSBoolean`
Parameters:
  `newValue` - The `XSBooleanValue` value

### getOrderedChildren

@Nullable public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements